export default (input) => {
    const value = Number(input.replace(',', '.'));
    const isNaN = Number.isNaN(value);

    if (isNaN) {
        return input.length === 1 && input.startsWith('-')
            ? { value: 0, valid: true }
            : { value: '', valid: false };
    }

    return { value, valid: true };
};
